Package org.bukkit.event.player

# Class PlayerStatisticIncrementEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.player.PlayerEvent
org.bukkit.event.player.PlayerStatisticIncrementEvent

All Implemented Interfaces:
  `Cancellable`

public class PlayerStatisticIncrementEvent extends PlayerEvent implements Cancellable
Called when a player statistic is incremented.

This event is not called for some high frequency statistics, e.g. movement based statistics.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final Statistic`
`statistic`

### Fields inherited from class org.bukkit.event.player.PlayerEvent

`player`

## Constructor Summary

Constructors
Constructor
Description
`PlayerStatisticIncrementEvent(@NotNull Player player, @NotNull Statistic statistic, int initialValue, int newValue)`
`PlayerStatisticIncrementEvent(@NotNull Player player, @NotNull Statistic statistic, int initialValue, int newValue, @NotNull EntityType entityType)`
`PlayerStatisticIncrementEvent(@NotNull Player player, @NotNull Statistic statistic, int initialValue, int newValue, @NotNull Material material)`

## Method Summary

Modifier and Type
Method
Description
`@Nullable EntityType`
`getEntityType()`
Gets the EntityType if `getStatistic()` is an entity statistic otherwise returns null.
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@Nullable Material`
`getMaterial()`
Gets the Material if `getStatistic()` is a block or item statistic otherwise returns null.
`int`
`getNewValue()`
Gets the new value of the statistic.
`int`
`getPreviousValue()`
Gets the previous value of the statistic.
`@NotNull Statistic`
`getStatistic()`
Gets the statistic that is being incremented.
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.

### Methods inherited from class org.bukkit.event.player.PlayerEvent

`getPlayer`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### statistic

protected final Statistic statistic

## Constructor Details

### PlayerStatisticIncrementEvent

public PlayerStatisticIncrementEvent(@NotNull @NotNull Player player, @NotNull @NotNull Statistic statistic, int initialValue, int newValue)

### PlayerStatisticIncrementEvent

public PlayerStatisticIncrementEvent(@NotNull @NotNull Player player, @NotNull @NotNull Statistic statistic, int initialValue, int newValue, @NotNull @NotNull EntityType entityType)

### PlayerStatisticIncrementEvent

public PlayerStatisticIncrementEvent(@NotNull @NotNull Player player, @NotNull @NotNull Statistic statistic, int initialValue, int newValue, @NotNull @NotNull Material material)

## Method Details

### getStatistic

@NotNull public @NotNull Statistic getStatistic()
Gets the statistic that is being incremented.

Returns:
  the incremented statistic

### getPreviousValue

public int getPreviousValue()
Gets the previous value of the statistic.

Returns:
  the previous value of the statistic

### getNewValue

public int getNewValue()
Gets the new value of the statistic.

Returns:
  the new value of the statistic

### getEntityType

@Nullable public @Nullable EntityType getEntityType()
Gets the EntityType if `getStatistic()` is an entity statistic otherwise returns null.

Returns:
  the EntityType of the statistic

### getMaterial

@Nullable public @Nullable Material getMaterial()
Gets the Material if `getStatistic()` is a block or item statistic otherwise returns null.

Returns:
  the Material of the statistic

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()